"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var _=Object.create;var p=Object.defineProperty;var g=Object.getOwnPropertyDescriptor;var d=Object.getOwnPropertyNames;var b=Object.getPrototypeOf,f=Object.prototype.hasOwnProperty;var O=(e,o)=>()=>(o||e((o={exports:{}}).exports,o),o.exports);var m=(e,o,n,t)=>{if(o&&typeof o=="object"||typeof o=="function")for(let s of d(o))!f.call(e,s)&&s!==n&&p(e,s,{get:()=>o[s],enumerable:!(t=g(o,s))||t.enumerable});return e};var y=(e,o,n)=>(n=e!=null?_(b(e)):{},m(o||!e||!e.__esModule?p(n,"default",{value:e,enumerable:!0}):n,e));var c=O((C,i)=>{i.exports=Vue});var r=y(c());var u=(e,o)=>{let n=e.__vccOpts||e;for(let[t,s]of o)n[t]=s;return n};var h={bgview:{"":{position:"fixed",left:0,top:0,bottom:0,right:0}},webView:{"":{flex:1,width:"750rpx"}}},v={__name:"page",props:{url:{type:String,default:"https://www.baidu.com"}},setup(e){let o=e,n=(0,r.ref)(),t={intercept(){},showPross(){},showH5Data(){},startLoading(){},loadDone(){},onTitle(){},onConsole(){},loadError(s){uni.showModal({content:"\u52A0\u8F7D\u5931\u8D25"+JSON.stringify(s)})}};return(s,x)=>{let w=(0,r.resolveComponent)("CL-WebH5View");return(0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createElementVNode)("view",{class:"bgview"},[(0,r.createVNode)(w,{class:"webView",ref_key:"webView",ref:n,url:o.url,isvue3:!0,onOnIntercept:t.intercept,onOnProgress:t.showPross,onOnMessage:t.showH5Data,onOnStart:t.startLoading,onOnEnd:t.loadDone,onOnTitle:t.onTitle,onOnConsole:t.onConsole,onOnError:t.loadError,showloading:!0},null,8,["url","onOnIntercept","onOnProgress","onOnMessage","onOnStart","onOnEnd","onOnTitle","onOnConsole","onOnError"])])])}}},l=u(v,[["styles",[h]]]);var a=plus.webview.currentWebview();if(a){let e=parseInt(a.id),o="views/xwebview/page",n={};try{n=JSON.parse(a.__query__)}catch(s){}l.mpType="page";let t=Vue.createPageApp(l,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:o,__pageQuery:n});t.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...l.styles||[]])),t.mount("#root")}})();
